package IndexPage;
require CMONOS::CGI_Lib::Tools::Page;
@ISA = qw(Page);
use strict;
use utf8;
######################################################################
# インデックスページ設定モジュール
# IndexPage.pm ver1.1
# Copyright (C) 1999-2012 CMONOS (ENDO chihiro)
# 
# support@cmonos.jp
# http://cmonos.jp/
# 最終更新日：2010-12-19
######################################################################
# 設定項目取得
sub get_sub_setting_items ($) {
no warnings qw(once);
my $this = shift;

#チェックボックス
push(@check::checkbox,'checkboxf','closedf','toolIcon');

return;
}

######################################################################
# 設定環境
sub set_sub_preferences ($) {
no warnings qw(once);
my $this = shift;
$preference::id = 'index';							# データキー
$preference::name = '検索ページレイアウト';		# 設定パネル名
$preference::title = '検索ページのレイアウトについて設定します。';
}

######################################################################
# 設定パネル
sub _print_header_tool ($) {
my $this = shift;
return '<option value="&lt;!--categorylist--&gt;&lt;!--/categorylist--&gt;">カテゴリーリスト(&lt;!--categorylist--&gt;)</option>';
}

sub print_sub_preference_panel ($;$$) {
my $this = shift;
print '<fieldset>';
print '<legend><label for="data:index_checkboxf">「表示項目」の表示</label></legend>';
print '<ol class="checkbox">';
print '<li><label><input type="checkbox" name="data:index_checkboxf" id="data:index_checkboxf" value="1"' . (($main::data{'index_checkboxf'}) ? ' checked="checked"' : '') . ' /> 選択メニューではなくチェックボックスで表示する</label></li>';
print '<li><label><input type="checkbox" name="data:index_closedf" id="data:index_closedf" value="1"' . (($main::data{'index_closedf'}) ? ' checked="checked"' : '') . ' /> 「データ修正」権限のないユーザーには表示しない</label></li>';
print '</ol>';
print '</fieldset>';

print '<fieldset>';
print '<legend><label for="data:defaultSearchOparator">「詳細条件」のデフォルトの検索方式</label></legend>';
print $this->mk_select_menu(
	'data:defaultSearchOparator','','',$main::data{'defaultSearchOparator'},
	'OR'		=>		'いずれかの条件に一致',
	'AND'		=>		'全ての条件に一致',
);
print '</fieldset>';

print '<fieldset>';
print '<legend><label for="data:index_toolIcon">ツールアイコン</label></legend>';
print '<ol class="checkbox">';
print '<li><label><input type="checkbox" name="data:index_toolIcon" id="data:index_toolIcon" value="1"' . (($main::data{'index_toolIcon'}) ? ' checked="checked"' : '') . ' /> 表示する</label></li>';
print '</ol>';
print '</fieldset>';
}

######################################################################
#sub import {
BEGIN {
	no warnings qw(once);

	#クラス登録
	Common::class_register('t000','IndexPage');

	#ツール登録
	$setting::jump_menu{'t000'} = 'ページレイアウト';						#これがデフォルト
	$setting::sub_jump_menu{'page'}{'t000'} = '検索ページ';

	$preference::page{'t000'} = 'index';
}
1;
